.\"	$NetBSD: atppc.4,v 1.14 2004/01/30 19:06:36 jdolecek Exp $
.\"
.\" Copyright (c) 1998, 1999, Nicolas Souchu
.\" Copyright (c) 2003, 2004 Gary Thorpe <gathorpe@users.sourceforge.net>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd January 30, 2004
.Dt ATPPC 4
.Os
.Sh NAME
.Nm atppc
.Nd driver for AT-style parallel port chip sets
.Sh SYNOPSIS
.Cd "atppc* at acpi?"
.Cd "atppc* at isa? port 0x378 irq 7 drq 3 flags 0x00"
.Cd "atppc* at isapnp?"
.Cd "atppc* at ofisa?"
.Cd "atppc* at pnpbios? index ?"
.Cd "atppc* at puc? port ?"
.Cd options ATPPC_VERBOSE
.Cd options ATPPC_DEBUG
.Sh DESCRIPTION
.Nm
supports parallel ports and provides the low level support needed
by higher level drivers such as
.Xr ppbus 4 .
This driver attaches where the traditional
.Nx
.Xr lpt 4
driver would ordinarily.
It provides the data transport and chip set manipulation needed by
higher driver layers, such as
.Xr ppbus 4
and
.Xr lpt 4 .
This driver is designed to be one of many possible implementations
supporting machine independent parallel device support via
.Xr ppbus 4 .
.Ss IEEE 1284 support
.Nm
is intended to provide to data-link like services to higher level
IEEE 1284 device drivers (such as
.Xr ppbus 4 ) .
.Nm
does not directly support IEEE 1284 features such as mode negotiation
but rather provides the necessary infrastructure to allow a higher
level driver to provide these services.
.Pp
.Nm
does provide chip set manipulation, device handshakes (where
appropriate), low-level error detection, and data transfer.
.Ss Supported data transfer modes
.Nm
supports the following data transfer modes: Centronics Compatible
(Standard), Nibble, Byte (PS2), Fast Centronics, ECP, and EPP.
Standard and Fast Centronics modes are write only, Nibble and Byte
modes are read only, and ECP and EPP modes are bidirectional.
.\" .Sh FILES
.\" .Sh EXAMPLES
.Sh SEE ALSO
.Xr acpi 4 ,
.Xr i386/pnpbios 4 ,
.Xr isa 4 ,
.Xr isapnp 4 ,
.Xr lpt 4 ,
.Xr ofisa 4 ,
.Xr ppbus 4 ,
.Xr puc 4
.Sh HISTORY
The
.Nm
driver is based on the
.Nm ppc
driver, which originally appeared in
.Fx .
The driver was ported over in
.Nx 2.0 .
.Sh AUTHORS
This manual page is based on the
.Fx
.Nm ppc
manual page.
The information has been updated for the
.Nx
port by Gary Thorpe.
.Sh BUGS
The
.Fx
driver includes support for some specific chip sets, specifically
detection of some non-standard device I/O locations on the ISA bus.
This support was not ported over to the
.Nx
version of the driver yet.
